Bug 10219 - fdisk /dev/sda doesn't show your partitions on alpha
fdisk /dev/sda doesn't show your partitions on alpha
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.2
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-17 10:07 EST by Dale Lovelace
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 19:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dale Lovelace 2000-03-17 10:07:21 EST
After a fresh "everything" install of Zoot on Alpha:


[root@test162 /root]# mount
/dev/sda6 on / type ext2 (rw)
none on /proc type proc (rw)
/dev/sda1 on /boot type ext2 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda on /mnt/cdrom type iso9660 (ro,nosuid,nodev)

[root@test162 /root]# fdisk /dev/sda
Device contains neither a valid DOS partition table, nor Sun or SGI
disklabel
Building a new DOS disklabel. Changes will remain in memory only,
until you decide to write them. After that, of course, the previous
content won't be recoverable.


Command (m for help): p

Disk /dev/sda: 255 heads, 63 sectors, 521 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System

Command (m for help): q

[root@test162 /root]# fdisk -l /dev/sda

Disk /dev/sda: 255 heads, 63 sectors, 521 cylinders
Units = cylinders of 16065 * 512 bytes


BSD label for device: /dev/sda

6 partitions:
#        size   offset    fstype   [fsize bsize   cpg]
  a:    48195    16065      ext2                    	# (Cyl.    2 - 4)
  b:  1028160    64260      ext2                    	# (Cyl.    5 - 68)
  c:  1028160  1092420      ext2                    	# (Cyl.   69 - 132)
  d:  1028160  2120580      ext2                    	# (Cyl.  133 - 196)
  e:   273105  3148740      swap                    	# (Cyl.  197 - 213)
  f:  4948020  3421845      ext2                    	# (Cyl.  214 - 521)
[root@test162 /root]#
Comment 1 Erik Troan 2001-02-06 19:01:43 EST
fixed in 7.0

Note You need to log in before you can comment on or make changes to this bug.